Skip to content

标签:terminal

关于安装2.6.30.2新内核的出错

今天到网上找了一下,很多人都遇到了这样的问题。网上的解决办法是把/etc/kernel/postinst.d目录下的所有文件都删除。

我试了一下,这样是可以把新内核顺利安装上。可是总觉得不妥,唉我试的时候还没有备份呢。

前两到也找到一个关于Linux的项目“Linux From Scratch”,译成中文大概是“从零开始的Linux”。这是一个好项目,这个项目其实是一个文档,一个教你如何从零开始建立一个Linux系统的文档。

这个文档包括了Linux系统编译/安装的一切,从编译内核到安装BASH,再到编译并安装GNOME/KDE,最后在桌面环境下编译并安装应用软件。

Leave a Comment

让VM6.5.2 build-156735工作在2.6.30.2内核下

安装了新的2.6.30.2内核后发现VMware Workstation 6.5.2 build-156735不能用了,启动时要求重新编译kernel module,但是编译不能通过。

到百度搜了一下也没多少有用的信息,最后在http://communities.vmware.com/thread/202340?start=0&tstart=0http://communities.vmware.com/message/1255377两个地方找到了相关信息。只是第一个是针对6.5.1在2.6.29内核下,第二个需要是对6.5.2在2.6.30内核下。可是补丁并不能打上去。

最后只能用补丁的patch文件和源码做对比,发现这个补丁对应的源码应该是比较旧的版本。估计并不是对应build-156735的版本,没办法。只能根据补丁文件手工修改源码,幸好需要修改的文件并不多。

把源码修改好后重新打开VMware并按提示编译内核,已经可以编译成功了。使用一天下来并没有发现什么问题。

Leave a Comment

编译2.6.30.2新内核

这里只简单的说一下在Ubuntu编译内核,并没有对内核进行详细的优化。

首先我们需要安装编译内核所需的工具:

安装编译工具的命令
  1. sudo apt-get install essential kernel-package libncurses5-dev

然后到www.kernel.org下载最新的内核,选F版(安全版)。我暂把它放桌面。

然后开始解压内核源码:

解压内核源码的命令
  1. tar -jxf linux-2.6.30.2.tar.bz2

Leave a Comment

给本本灌上了Ubuntu 9.04

    上Ubuntu 9.04好几天了,本想更新Blog的。可是一些问题搞来搞去,还是没把系统弄顺手。唉,真是人品问题啊。

    其实Linux我早就接触了,只是一直都没狠下心学习。现在Linux在桌面应用已经做得非常好了,是时候拥抱啦,哈哈哈哈。

    这次装Ubuntu 9.04也遇到了不少问题。还经常死机,唉,人品问题啊~~总结一下:

    1/让Rhythmbox播放MP3,这个比较简单。原因是Ubuntu里默认没有安装解码器,装上就是了。运行命令"sudo apt-get install gstreamer0.10-plugins-ugly gstreamer0.10-plugins-bad"

Leave a Comment